### Method

# GimpUi PreviewArea mask

#### Declaration [src]

    void
    gimp_preview_area_mask (
      GimpPreviewArea* area,
      gint x,
      gint y,
      gint width,
      gint height,
      GimpImageType type,
      const guchar* buf1,
      gint rowstride1,
      const guchar* buf2,
      gint rowstride2,
      const guchar* mask,
      gint rowstride_mask
    )

#### Description [src]

Composites `buf1` on `buf2` with the given `mask`, draws the result on `area` and queues a redraw on the given rectangle.

Since GIMP 2.2.

#### Parameters

`x`

  Type: `gint`

  X offset in preview.

`y`

  Type: `gint`

  Y offset in preview.

`width`

  Type: `gint`

  Buffer width.

`height`

  Type: `gint`

  Buffer height.

`type`

  Type: `GimpImageType`

  The `GimpImageType` of `buf1` and `buf2`.

`buf1`

  Type: An array of `guchar`

  A #guchar buffer that contains the pixel data for the lower layer.

  The data is owned by the caller of the method.

`rowstride1`

  Type: `gint`

  Rowstride of `buf1`.

`buf2`

  Type: An array of `guchar`

  A #guchar buffer that contains the pixel data for the upper layer.

  The data is owned by the caller of the method.

`rowstride2`

  Type: `gint`

  Rowstride of `buf2`.

`mask`

  Type: An array of `guchar`

  A #guchar buffer representing the mask of the second layer.

  The data is owned by the caller of the method.

`rowstride_mask`

  Type: `gint`

  Rowstride for the mask.